package jcg.demo.jaxws.service;

import javax.jws.HandlerChain;
import javax.jws.WebService;

import jcg.demo.jaxws.model.Book;
import jcg.demo.jaxws.util.BookUtil;

@WebService(endpointInterface = "jcg.demo.jaxws.service.BookService")
@HandlerChain(file = "handlers.xml")
public class BookServiceImpl implements BookService {

	@Override
	public Book getBook(Integer id) {
		if( id.intValue() < 0) {
			throw new IllegalArgumentException("Invalid book Id");
		}
		return BookUtil.getBook(id);
	}
}